function PlayerManager:bc_reset_contour(unit, carry_id)
	if unit and carry_id == "person" then
		if managers.groupai:state()._police_called then
			unit:interaction():set_contour("bodybag", 1)
		else
			tweak_data.contour.interactable.bodybag = tweak_data.contour.character.friendly_color
			unit:interaction():set_contour("bodybag", 1)
		end
	end
end

local bc_original_playermanager_serverdropcarry = PlayerManager.server_drop_carry
function PlayerManager:server_drop_carry(carry_id, carry_multiplier, dye_initiated, has_dye_pack, dye_value_multiplier, position, rotation, dir, throw_distance_multiplier_upgrade_level, zipline_unit, peer)
	local unit = bc_original_playermanager_serverdropcarry(self, carry_id, carry_multiplier, dye_initiated, has_dye_pack, dye_value_multiplier, position, rotation, dir, throw_distance_multiplier_upgrade_level, zipline_unit, peer)
	self:bc_reset_contour(unit, carry_id)
	return unit
end

local bc_original_playermanager_synccarrydata = PlayerManager.sync_carry_data
function PlayerManager:sync_carry_data(unit, carry_id, carry_multiplier, dye_initiated, has_dye_pack, dye_value_multiplier, position, dir, throw_distance_multiplier_upgrade_level, zipline_unit)
	bc_original_playermanager_synccarrydata(self, unit, carry_id, carry_multiplier, dye_initiated, has_dye_pack, dye_value_multiplier, position, dir, throw_distance_multiplier_upgrade_level, zipline_unit)
	self:bc_reset_contour(unit, carry_id)
end
